com.amazon.redshift.logger

## Class LogFileHandler

- java.lang.Object
- - com.amazon.redshift.logger.LogFileHandler

All Implemented Interfaces:
  LogHandler

    public class LogFileHandler
    extends Object
    implements LogHandler

### Constructor Summary

Constructors
Constructor and Description
`LogFileHandler(String filename, boolean flushAfterWrite, String maxLogFileSize, String maxLogFileCount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `write(String message)` Write the message using this handler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogFileHandler

    public LogFileHandler(String filename,
                          boolean flushAfterWrite,
                          String maxLogFileSize,
                          String maxLogFileCount)
                   throws Exception

Throws:
  `Exception`

### Method Detail

#### write

    public void write(String message)
               throws Exception

Description copied from interface: `LogHandler`
Write the message using this handler. This can be a file or console.

Specified by:
  `write` in interface `LogHandler`
Parameters:
  `message` - Log entry
Throws:
  `Exception` - throws when any error happens during write operation.

#### close

    public void close()
               throws Exception

Specified by:
  `close` in interface `LogHandler`
Throws:
  `Exception`

#### flush

    public void flush()

Specified by:
  `flush` in interface `LogHandler`